import { h, Host } from "@stencil/core";
import { BEM } from "../../utils/bem";
export class Table {
    constructor() {
        /**
         * If `true` the table has a full width
         */
        this.expanded = false;
    }
    render() {
        const block = BEM.block('table');
        const fullwidthClass = 'is-fullwidth';
        const hasFullwidth = this.expanded;
        return (h(Host, { key: '02a18be55045376f238aeaaf4fdf0d1abd97788a', class: Object.assign(Object.assign(Object.assign({}, block.class()), { 'ag-theme-alpine': true }), block.modifier(fullwidthClass).class(hasFullwidth)) }, h("slot", { key: '33860f7409dc7b8ef772327022bed7978513a94a' })));
    }
    static get is() { return "bal-table"; }
    static get originalStyleUrls() {
        return {
            "$": ["bal-table.sass"]
        };
    }
    static get styleUrls() {
        return {
            "$": ["bal-table.css"]
        };
    }
    static get properties() {
        return {
            "expanded": {
                "type": "boolean",
                "mutable": false,
                "complexType": {
                    "original": "boolean",
                    "resolved": "boolean",
                    "references": {}
                },
                "required": false,
                "optional": false,
                "docs": {
                    "tags": [],
                    "text": "If `true` the table has a full width"
                },
                "getter": false,
                "setter": false,
                "reflect": false,
                "attribute": "expanded",
                "defaultValue": "false"
            }
        };
    }
    static get elementRef() { return "el"; }
}
